Subject: Re: [http-state] parser rules of draft-ietf-httpstate-cookie-22

From: =JeffH <[email-masked]>
Date: Sun, 27 Feb 2011 10:48:45 -0800

Julian noted..
 >
 > On 25.02.2011 18:21, =JeffH wrote:
 >>  >>> cookie-value = *cookie-octet / ( DQUOTE *cookie-octet DQUOTE )
 >>  >>> cookie-octet = %x21 / %x23-2B / %x2D-3A / %x3C-5B / %x5D-7E
 >>  >>> ; ASCII characters excluding CTLs, whitespace,
 >>  >>> ; DQUOTE, comma, semicolon, and backslash
 >>  >>
 >>  >> Works for me. Thanks Roy.
 >>  >
 >>  > In the datatracker, I've updated the RFC Editor note accordingly.
 >>
 >> great, thx all for sorting this out.
 >>
 >> Also, I'm glad you've added the comment to the ABNF above, tho one might
 >> add..
 >>
 >> s/ASCII/7-bit ASCII/
 >>
 >> ..or something similar to explicitly indicate exclusion of %x80-FF.
 >
 > "US-ASCII", please.

doh, yes of course.

at this point I'm thinking we should add an RFC-Editor Note to the effect of 
adding an explicit normative reference to..

         US-ASCII. Coded Character Set - 7-Bit American Standard Code for
         Information Interchange. Standard ANSI X3.4-1986, ANSI, 1986.

We already use the term "US-ASCII" also in section 2.2 (of -cookie-22) but 
without citation.

=JeffH

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 28 Feb 2011 11:58:33 -0700

On 2/27/11 11:48 AM, =JeffH wrote:
> at this point I'm thinking we should add an RFC-Editor Note to the
> effect of adding an explicit normative reference to..
> 
> We already use the term "US-ASCII" also in section 2.2 (of -cookie-22)
> but without citation.

I agree with Julian: not an RFC Editor note (I really don't like those
because they aren't very transparent), but a revised I-D.

Here is XML for the citation:

<reference anchor="US-ASCII">
<front>
<title>Coded Character Set - 7-bit American Standard Code for
Information Interchange</title>
<author>
<organization>American National Standards Institute</organization>
</author>
<date month="" year="1986" />
</front>
<seriesInfo name="ANSI" value="X3.4" />
</reference>

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 28 Feb 2011 14:52:00 -0700

> because they aren't very transparent), but a revised I-D.

The reason I don't particularly like RFC Editor notes is that they are
not very transparent (how many people watch the datatracker history?).
So here is some transparency for you...

The RFC Editor note currently on file in the datatracker is:

###

RFC Editor Note

   1. Please add the following sentence to the end of the Abstract:

      "This document obsoletes RFC 2395."

   2. In Section 4.1.1, please change:

      cookie-value     = token / *base64-character
      base64-character = ALPHA / DIGIT / "+" / "/" / "="

   to:

      cookie-value     = *cookie-octet / ( DQUOTE *cookie-octet DQUOTE )
      cookie-octet     = %x21 / %x23-2B / %x2D-3A / %x3C-5B / %x5D-7E
                       ; US-ASCII characters excluding CTLs,
                       ; whitespace DQUOTE, comma, semicolon,
                       ; and backslash

   3. In Section 2.2, please change both instances of:

      any US-ASCII character

   to:

      any [US-ASCII] character

   4. Please add the following reference:

      [US-ASCII] American National Standards Institute, "Coded
      Character Set - 7-bit American Standard Code for Information
      Interchange," ANSI X3.4, 1986.

###

Peter

-- 
Peter Saint-Andre
https://stpeter.im/